Module tdlight.api
Package it.tdlight.jni

# Class TdApi.MessageReadDate

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.MessageReadDate

Direct Known Subclasses:
  `TdApi.MessageReadDateMyPrivacyRestricted`, `TdApi.MessageReadDateRead`, `TdApi.MessageReadDateTooOld`, `TdApi.MessageReadDateUnread`, `TdApi.MessageReadDateUserPrivacyRestricted`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.MessageReadDate extends TdApi.Object permits TdApi.MessageReadDateRead, TdApi.MessageReadDateUnread, TdApi.MessageReadDateTooOld, TdApi.MessageReadDateUserPrivacyRestricted, TdApi.MessageReadDateMyPrivacyRestricted
This class is an abstract base class. Describes read date of a recent outgoing message in a private chat.

## Constructor Summary

Constructors
Constructor
Description
`MessageReadDate()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MessageReadDate

public MessageReadDate()
Default class constructor.